Bug 73771 - [GTK] platform/gtk/fonts/custom-font-missing-glyphs.html fails on 64-bit Debug
Summary: [GTK] platform/gtk/fonts/custom-font-missing-glyphs.html fails on 64-bit Debug
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Martin Robinson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-04 07:41 PST by Philippe Normand
Modified: 2011-12-12 09:26 PST (History)
4 users (show)

See Also:


Attachments
Patch (3.18 KB, patch)
2011-12-09 20:21 PST, Martin Robinson
no flags Details | Formatted Diff | Diff
Patch with new test results (4.14 KB, patch)
2011-12-10 12:09 PST, Martin Robinson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Normand 2011-12-04 07:41:24 PST
Consistent failure, on that bot only:

--- /home/slave/webkitgtk/gtk-linux-64-debug/build/layout-test-results/platform/gtk/fonts/custom-font-missing-glyphs-expected.txt 
+++ /home/slave/webkitgtk/gtk-linux-64-debug/build/layout-test-results/platform/gtk/fonts/custom-font-missing-glyphs-actual.txt 
@@ -4,5 +4,5 @@
   RenderBlock {HTML} at (0,0) size 800x600
     RenderBody {BODY} at (8,8) size 784x584
       RenderBlock {DIV} at (0,0) size 784x12
-        RenderText {#text} at (0,0) size 386x11
-          text run at (0,0) width 386: "A B C D E F G H I J K L M N O P Q R S T U V W X Y Z"
+        RenderText {#text} at (0,0) size 357x11
+          text run at (0,0) width 357: "A B C D E F G H I J K L M N O P Q R S T U V W X Y Z"
Comment 1 Martin Robinson 2011-12-09 20:21:57 PST
Created attachment 118681 [details]
Patch
Comment 2 Martin Robinson 2011-12-09 20:23:09 PST
Looks like this is an issue with fallback fonts. I've posted a patch.
Comment 3 Martin Robinson 2011-12-10 12:09:27 PST
Created attachment 118695 [details]
Patch with new test results
Comment 4 WebKit Review Bot 2011-12-12 09:26:53 PST
Comment on attachment 118695 [details]
Patch with new test results

Clearing flags on attachment: 118695

Committed r102591: <http://trac.webkit.org/changeset/102591>
Comment 5 WebKit Review Bot 2011-12-12 09:26:58 PST
All reviewed patches have been landed.  Closing bug.